import type { ManifestWorkspaceView } from '../../types.js';
import { UmbLitElement } from '../../../lit-element/index.js';
import type { UmbDeepPartialObject } from '../../../utils/index.js';
import type { UmbVariantId } from '../../../variant/index.js';
/**
 * @element umb-workspace-editor
 * @description
 * @slot header - Slot for workspace header
 * @slot action-menu - Slot for workspace header
 * @slot footer-info - Slot for workspace footer
 * @slot actions - Slot for workspace footer actions
 * @slot - slot for main content
 * @class UmbWorkspaceEditorElement
 * @augments {UmbLitElement}
 */
export declare class UmbWorkspaceEditorElement extends UmbLitElement {
    #private;
    headline: string;
    hideNavigation: boolean;
    enforceNoFooter: boolean;
    backPath?: string;
    loading: boolean;
    get variantId(): UmbVariantId | undefined;
    set variantId(value: UmbVariantId | undefined);
    private _variantId?;
    set overrides(value: Array<UmbDeepPartialObject<ManifestWorkspaceView>> | undefined);
    get overrides(): Array<UmbDeepPartialObject<ManifestWorkspaceView>> | undefined;
    private _workspaceViews;
    private _hintMap;
    private _routes?;
    private _routerPath?;
    private _activePath?;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-workspace-editor': UmbWorkspaceEditorElement;
    }
}
